VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "Comctl32.OCX"
Begin VB.Form FMain 
   Caption         =   "Alpha blending demo"
   ClientHeight    =   3495
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3720
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   3495
   ScaleWidth      =   3720
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      Height          =   1575
      Left            =   840
      ScaleHeight     =   1515
      ScaleWidth      =   1995
      TabIndex        =   3
      Top             =   1080
      Width           =   2055
      Begin VB.TextBox Text1 
         Height          =   375
         Left            =   480
         TabIndex        =   4
         Text            =   "Text1"
         Top             =   240
         Width           =   1215
      End
   End
   Begin ComctlLib.Slider sldAlpha 
      Height          =   675
      Left            =   105
      TabIndex        =   2
      Top             =   2730
      Width           =   3555
      _ExtentX        =   6271
      _ExtentY        =   1191
      _Version        =   327682
      LargeChange     =   64
      SmallChange     =   8
      Min             =   1
      Max             =   255
      SelStart        =   255
      TickFrequency   =   16
      Value           =   255
   End
   Begin VB.Image Image1 
      Height          =   1785
      Left            =   -75
      Picture         =   "FMain.frx":0000
      Top             =   0
      Width           =   4695
   End
   Begin VB.Label lblRandom 
      AutoSize        =   -1  'True
      Caption         =   "Move the slider to adjust the form's alpha blending level."
      Height          =   390
      Index           =   1
      Left            =   120
      TabIndex        =   1
      Top             =   2205
      Width           =   3495
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblRandom 
      AutoSize        =   -1  'True
      Caption         =   "By Penagate (April 2005)"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   1890
      Width           =   1800
   End
End
Attribute VB_Name = "FMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'---------------------------------------------------------------------------------------
' Form AlphaBlendingDemo.FMain
'  [Penagate]
' 19/04/2005
'---------------------------------------------------------------------------------------

Option Base 0
Option Compare Text
Option Explicit


Private Sub Form_Load()
    Dim lngStyle        As Long
    Dim udtOSVer        As OSVERSIONINFO

    ' Get the OS version
    With udtOSVer
        .dwOSVersionInfoSize = Len(udtOSVer)

        GetVersionEx udtOSVer

        If .dwMajorVersion < 5 Then
            MsgBox "Sorry, alpha blending is only supported on Windows 2000 or higher.", vbCritical + vbOKOnly

            Unload Me
            Exit Sub
        End If
    End With
    
    ' Get the current window flags
    lngStyle = GetWindowLong(Picture1.hWnd, GWL_EXSTYLE)

    ' Update them to include the Layered flag
    SetWindowLong Picture1.hWnd, GWL_EXSTYLE, lngStyle Or WS_EX_LAYERED
    SetLayeredWindowAttributes Picture1.hWnd, 0&, 255, LWA_ALPHA

    Me.Refresh
End Sub


Private Sub sldAlpha_Change()
    Dim bAlpha          As Byte
    
    bAlpha = CByte(sldAlpha.Value)
    
    ' Set the new alpha level
    SetLayeredWindowAttributes Picture1.hWnd, 0&, bAlpha, LWA_ALPHA
    
    Me.Refresh
End Sub
